<%@ Page MasterPageFile="~/Site.master" Language="C#" CodeFile="Login.aspx.cs" Inherits="Login_aspx" Title="Login Controls" %>

<asp:Content ID="TitleContent" ContentPlaceHolderID="Title" Runat="server">
Login Controls</asp:Content>

<asp:Content ID="DescriptionContent" ContentPlaceHolderID="Description" Runat="server">
This page demonstrates ASP.NET's Login and CreateUserWizard controls</asp:Content>

<asp:Content ID="MainContent" ContentPlaceHolderID="Main" Runat="server">
    <table width="100%"><tr>
            <td width="49%" valign="top">
                Are you a registered user? If so, sign in here.<br /><br />
                <asp:Login ID="Login1" Runat="server" PasswordRecoveryText="Forgot your password?" PasswordRecoveryUrl="~/RecoverPassword.aspx" BorderWidth="1px" BorderColor="#E6E2D8" BorderPadding="4" BorderStyle="Solid" BackColor="#F7F6F3" ForeColor="#333333" Font-Names="Verdana" Font-Size="0.8em">
                    <InstructionTextStyle Font-Italic="True" Font-Size="0.8em" ForeColor="Black"></InstructionTextStyle>
                    <LayoutTemplate>
                        <table cellpadding="4" border="0">
                            <tr>
                                <td>
                                    <table cellpadding="0" border="0" style="color: #333333; font-family: Verdana; font-size: 10pt;">
                                        <tr>
                                            <td align="center" colspan="2" style="color: White; background-color: #507CD1; font-size: 10pt;
                                                font-weight: bold;">
                                                Log In</td>
                                        </tr>
                                        <tr>
                                            <td align="right" style="font-size: 10pt;">
                                                <asp:Label runat="server" AssociatedControlID="UserName" ID="UserNameLabel">User Name:</asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox runat="server" Font-Size="10pt" ID="UserName"></asp:TextBox>
                                                <asp:RequiredFieldValidator runat="server" ControlToValidate="UserName" ValidationGroup="Login1"
                                                    ErrorMessage="User Name is required." ToolTip="User Name is required." ID="UserNameRequired">*</asp:RequiredFieldValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td align="right" style="font-size: 10pt;">
                                                <asp:Label runat="server" AssociatedControlID="Password" ID="PasswordLabel">Password:</asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox runat="server" TextMode="Password" Font-Size="10pt" ID="Password"></asp:TextBox>
                                                <asp:RequiredFieldValidator runat="server" ControlToValidate="Password" ValidationGroup="Login1"
                                                    ErrorMessage="Password is required." ToolTip="Password is required." ID="PasswordRequired">*</asp:RequiredFieldValidator>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2" style="font-size: 10pt;">
                                                <asp:CheckBox runat="server" ID="RememberMe" Text="Remember me next time." />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td align="right" colspan="2">
                                                <asp:Button runat="server" ValidationGroup="Login1" Text="Log In" ID="LoginButton"
                                                    Font-Names="Verdana" Font-Size="10pt" ForeColor="#284E98" BorderStyle="Solid"
                                                    BackColor="White" CommandName="Login" BorderColor="#507CD1" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">
                                                <asp:HyperLink runat="server" ID="PasswordRecoveryLink" Font-Size="10pt" NavigateUrl="~/RecoverPassword.aspx">Forgot your password?</asp:HyperLink>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td align="center" colspan="2" style="color: Red; font-size: 10pt;">
                                                <asp:Literal runat="server" ID="FailureText" EnableViewState="False"></asp:Literal>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </LayoutTemplate>
                    
                    <LoginButtonStyle Font-Names="Verdana" Font-Size="0.8em" BorderStyle="Solid" 
                        BorderColor="#CCCCCC" BackColor="#FFFBFF" ForeColor="#284775" BorderWidth="1px"></LoginButtonStyle>
                    <TextBoxStyle Font-Size="0.8em"></TextBoxStyle>
                    <LabelStyle Font-Size="0.8em"></LabelStyle>
                    <TitleTextStyle Font-Size="0.9em" Font-Bold="True" BackColor="#5D7B9D" ForeColor="White"></TitleTextStyle>
                    <HyperLinkStyle Font-Size="0.8em"></HyperLinkStyle>
                    <CheckBoxStyle Font-Size="0.8em"></CheckBoxStyle>
                    <FailureTextStyle Font-Size="0.8em" ForeColor="#FF0000"></FailureTextStyle>
                </asp:Login>
            </td>
            <td width="1" valign="top" bgcolor="gainsboro"></td>
            <td width="4" valign="top"></td>
            <td valign="top">
                Not registered? Create an account.
                <asp:CreateUserWizard ID="CreateUserWizard1" Runat="server" BorderWidth="1px" BorderColor="#B5C7DE" BorderStyle="Solid" BackColor="#EFF3FB" Font-Names="Verdana" Font-Size="10pt">
                    <WizardSteps>
                        <asp:CreateUserWizardStep Runat="server" Title="Sign Up for Your New Account">
                        </asp:CreateUserWizardStep>
                        <asp:CompleteWizardStep Runat="server" Title="Complete">
                        </asp:CompleteWizardStep>
                    </WizardSteps>
                    <StepStyle BorderColor="#B5C7DE" Font-Names="Verdana" Font-Size="10pt" BackColor="#EFF3FB"
                        BorderStyle="Solid" BorderWidth="1px"></StepStyle>
                    <TitleTextStyle Font-Bold="True" BackColor="#507CD1" ForeColor="White"></TitleTextStyle>
                </asp:CreateUserWizard>
            </td>
        </tr></table>    
</asp:Content>