using System;
using System.Configuration;
using System.Web;
using System.Web.Caching;
using System.Web.SessionState;
using System.Web.Security;
using System.Web.Profile;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;

public partial class Login_aspx:Page
{
	protected void Page_Load (object sender, EventArgs e)
	{
		if (!IsPostBack) {
			if (Membership.RequiresQuestionAndAnswer) {
				NewQuestionRequiredFieldValidator.Enabled = true;
				NewAnswerRequiredFieldValidator.Enabled = true;
			}
			else {
				NewQuestionRequiredFieldValidator.Enabled = false;
				NewAnswerRequiredFieldValidator.Enabled = false;
			}
		}
	}

	protected void Button1_Click (object sender, EventArgs e)
	{
		// Log in an existing user
		if (Membership.ValidateUser(UserName.Text, Password.Text))
			FormsAuthentication.RedirectFromLoginPage (UserName.Text, RememberMe.Checked);
		else
			Label1.Text = "Login failed";
	}

	protected void Button2_Click (object sender, EventArgs e)
	{
		// Create a new user
		MembershipCreateStatus status;
		MembershipUser user = Membership.CreateUser (NewUserName.Text, NewPassword1.Text,
			NewEMail.Text, NewQuestion.Text, NewAnswer.Text, true, out status);

		if (user != null)
			FormsAuthentication.RedirectFromLoginPage (user.UserName, false);
		else {
			if (status == MembershipCreateStatus.DuplicateUserName)
				Label2.Text = String.Format ("User name \"{0}\" is assigned to another user",
					NewUserName.Text);
			else
				Label2.Text = "Account creation failed";
		}
	}
}
